import request from '@/utils/request'

// 查询车检管理列表
export function listCheck(query) {
  return request({
    url: '/drivingSchool/system/check/list',
    method: 'get',
    params: query
  })
}

// 查询车检管理详细
export function getCheck(id) {
  return request({
    url: '/drivingSchool/system/check/' + id,
    method: 'get'
  })
}

// 查询车辆列表
export function listCards(query) {
  return request({
    url: '/drivingSchool/system/car/listAll',
    method: 'get',
    params: query
  })
}

// 新增车检管理
export function addCheck(data) {
  return request({
    url: '/drivingSchool/system/check',
    method: 'post',
    data: data
  })
}

// 修改车检管理
export function updateCheck(data) {
  return request({
    url: '/drivingSchool/system/check',
    method: 'put',
    data: data
  })
}

// 删除车检管理
export function delCheck(id) {
  return request({
    url: '/drivingSchool/system/check/' + id,
    method: 'delete'
  })
}
